/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents a single font in the font family DropDownList.
 *
 * @example
 * ```typescript
 * const fontItem: FontFamilyItem = {
 *   fontName: 'Arial, Helvetica, sans-serif',
 *   text: 'Arial'
 * };
 * ```
 */
export interface FontFamilyItem {
    /**
     * Sets the value of the [`font-family`](https://developer.mozilla.org/en-US/docs/Web/CSS/font-family) CSS property.
     */
    fontName: string;
    /**
     * Sets the display text for the font in the DropDownList.
     */
    text: string;
}
