/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents a single item in the formatting DropDownList.
 *
 * @example
 * ```typescript
 * const formatItem: FormatItem = {
 *   tag: 'h1',
 *   text: 'Heading 1'
 * };
 * ```
 */
export interface FormatItem {
    /**
     * Sets the tag to apply.
     */
    tag: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
    /**
     * Sets the display text for the tag in the DropDownList.
     */
    text: string;
}
