/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from "./preventable-event";
/**
 * Fires when the Editor [`paste`]({% slug api_editor_editorcomponent %}#toc-paste) event occurs.
 */
export declare class EditorPasteEvent extends PreventableEvent {
    /**
     * Contains the HTML content cleaned according to the [`PasteCleanupSettings`]({% slug paste_cleanup %}).
     */
    cleanedHtml: string;
    /**
     * Contains the raw pasted content.
     */
    originalHtml: string;
    /**
     * Contains the original DOM event.
     */
    originalEvent: ClipboardEvent;
    /**
     * Constructs the event arguments for the `paste` event.
     * @hidden
     */
    constructor(cleanedHtml: string, originalHtml: string, originalEvent: ClipboardEvent);
}
