/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EditorColorPickerComponent } from './editor-colorpicker.component';
import * as i0 from "@angular/core";
/**
 * Configures an EditorColorPickerComponent for manipulating the background color of the text ([see example]({% slug toolbartools_editor %}#toc-built-in-tools)).
 *
 * @example
 * ```html
 * <kendo-editor>
 *  <kendo-toolbar>
 *     <kendo-toolbar-colorpicker kendoEditorBackColor view="gradient"></kendo-toolbar-colorpicker>
 *   </kendo-toolbar>
 * </kendo-editor>
 * ```
 * @remarks
 * Applied to: {@link EditorColorPickerComponent}
 */
export declare class EditorBackColorDirective {
    private colorPicker;
    constructor(colorPicker: EditorColorPickerComponent);
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorBackColorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EditorBackColorDirective, "[kendoEditorBackColor]", never, {}, {}, never, never, true, never>;
}
